Class | Tk::Iwidgets::Watch
In: | tk/lib/tkextlib/iwidgets/watch.rb
Parent: | Tk::Itk::Widget

### Methods

get get_clicks get_string show show_now watch

### Constants

TkCommandNames | = | ['::iwidgets::watch'.freeze].freeze
WidgetClassName | = | 'Watch'.freeze

### Public Instance methods

get()

Alias for get_string

get_clicks()

[Source]

    # File tk/lib/tkextlib/iwidgets/watch.rb, line 37
      def get_clicks
        number(tk_call(@path, 'get', '-clicks'))
      end

get_string()

[Source]

    # File tk/lib/tkextlib/iwidgets/watch.rb, line 32
      def get_string
        tk_call(@path, 'get', '-string')
      end

show(time=None)

[Source]

    # File tk/lib/tkextlib/iwidgets/watch.rb, line 41
      def show(time=None)
        tk_call(@path, 'show', time)
        self
      end

show_now()

[Source]

    # File tk/lib/tkextlib/iwidgets/watch.rb, line 45
      def show_now
        tk_call(@path, 'show', 'now')
        self
      end

watch(*args)

[Source]

    # File tk/lib/tkextlib/iwidgets/watch.rb, line 50
      def watch(*args)
        unless args.empty?
          tk_call(@path, 'watch', *args)
        end
        component_path('canvas')
      end

[Validate]